SplFileObject::current
SplFileObject::fflush
SplFileObject
PHP Manual

# SplFileObject::eof

(PHP 5 >= 5.1.0)

SplFileObject::eof — Reached end of file

### Description

public bool SplFileObject::eof ( void )

Determine whether the end of file has been reached

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if file is at EOF, `FALSE` otherwise.

### Examples

Example #1 SplFileObject::eof() example

`<?php
$file = new SplFileObject("fruits.txt");
while ( ! $file->eof()) {
echo $file->fgets();
}
?>`

The above example will output something similar to:

    apple
    banana
    cherry
    date
    elderberry

### See Also

- SplFileObject::valid() - Not at EOF
- feof() - Tests for end-of-file on a file pointer

SplFileObject::current
SplFileObject::fflush
SplFileObject
PHP Manual